import { ping } from "../../commands/informational/ping.js";
import common from "../../../utils/common.js";

export default {
    name: `ping`,
    async execute(message, ourArguments, Discord, client)
    {
        if (!common.canRunCommand(message, `KickMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        ping(message, false, client);
    }
};
