import { createRequire } from "node:module";
import version from "../../commands/informational/version.js";

const require = createRequire(import.meta.url);
const { botOwnerID } = require(`../../../config.json`);

export default {
    name: `version`,
    aliases: [`ver`],

    async execute(message)
    {
        if (!botOwnerID.includes(message.author.id))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        await version.getCommitInfo(message, message.channel, false);
    }
};
