import { createRequire } from "node:module";

const require = createRequire(import.meta.url);
const { botOwnerID } = require(`../../../config.json`);

export default {
    name: `restart`,
    async execute(message)
    {
        if (!botOwnerID.includes(message.author.id))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        await message.delete();
        process.exit(); // requires pm2 to be installed, and the bot to be running in pm2.
    }
};
