import common from "../../../utils/common.js";

export default {
    banlist
};

/**
 * @param {*} interactionOrMessage The interaction or message object.
 * @param {boolean} isSlashCommand Whether or not the interaction is a slash command.
 */
export async function banlist(interactionOrMessage, isSlashCommand)
{
    const banArray = await common.getAllGuildBans(interactionOrMessage.guild);
    const message = `${ global.locale[global.findLocale(interactionOrMessage.guild.id, interactionOrMessage.locale)].amountOfBans.replaceAll(`%count%`, `${ banArray.length }`) }`;
    common.sendInteractionOrMessage(interactionOrMessage, { content: message }, isSlashCommand);
}
