import { ApplicationCommandOptionType } from "discord.js";
import { guildlist } from "../../../commands/informational/guildlist.js";

export default {
    name: `guildlist`,
    description: `Shows a table of every guild the bot is in.`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `onlycount`,
            description: `Should we only return the number of guilds it is in?`,
            type: ApplicationCommandOptionType.Boolean,
            required: false
        }
    ],

    async callback(interaction, client, Discord)
    {
        guildlist(interaction, true, Discord, client, (interaction.options.getBoolean(`onlycount`) === true));
    }
};
