import { createRequire } from "node:module";

const require = createRequire(import.meta.url);
const { webfrontURL } = require(`../../../config.json`);

const name = `help`;
const options = [];

export default {
    name,
    description: `Get Help with the bot.`,
    defaultMemberPermissions: [`KickMembers`],
    options,

    async execute(interaction)
    {
        await interaction.deferReply({ ephemeral: true });
        interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].helpText.replaceAll(`%webfrontURL%`, `${ webfrontURL }`) }`);
    }
};
