import { ApplicationCommandOptionType } from "discord.js";
import { add } from "../../../commands/manipulation/allowed-discords.js";

export default {
    name: `add`,
    description: `Add discord invites to list`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `invite`,
            description: `Which invite to list`,
            type: ApplicationCommandOptionType.String,
            required: true
        }
    ],

    async callback(interaction, client, Discord)
    {
        const invite = await interaction.options.getString(`invite`);
        add(interaction, true, interaction.guild.id, invite, Discord, client);
    }
};
