import { ApplicationCommandOptionType } from "discord.js";
import { add } from "../../../commands/manipulation/auto-banned-phrases.js";

export default {
    name: `add`,
    description: `Add a phrase that will autoban the user upon having it, @everyone, and a link in their message`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `phrase`,
            description: `What phrase are we banning?`,
            type: ApplicationCommandOptionType.String,
            required: true
        }
    ],

    async callback(interaction)
    {
        let phrase = await interaction.options.getString(`phrase`);
        if (phrase)
            phrase = phrase.toLowerCase();

        add(interaction, true, phrase);
    }
};
