import { ApplicationCommandOptionType } from "discord.js";
import { remove } from "../../../commands/manipulation/allowed-links.js";

export default {
    name: `remove`,
    description: `Remove link from the list`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `link`,
            description: `Which link to remove from the list`,
            type: ApplicationCommandOptionType.String,
            required: true
        }
    ],

    async callback(interaction)
    {
        let link = interaction.options.getString(`link`);
        if (link)
            link = link.toLowerCase();

        remove(interaction, true, interaction.guild.id, link);
    }
};
