import { ApplicationCommandOptionType } from "discord.js";
import { end } from "../../../commands/moderation/slowmode.js";

export default {
    name: `end`,
    description: `Removes slowmode in this channel`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `reason`,
            description: `For which reason`,
            type: ApplicationCommandOptionType.String,
            required: false,
        },
    ],

    async callback(interaction, client, Discord)
    {
        const reason = interaction.options.getString(`reason`);
        end(interaction, true, interaction.user.id, interaction.channel.id, reason, Discord, client);
        interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].interactionBasicSuccess }`);
    }
};
