import ban from "../commands/commands/moderation/ban.js";
import common from "../utils/common.js";

/**
 * @name guildBanAdd
 * @description Event that fires when a user is banned from a guild.
 */
export default {
    name: `guildBanAdd`,
    /**
     * @param {*} data Data Object from Discord API.
     * @param {*} Discord The Discord Object.
     * @param {*} client The client object.
     */
    async execute(data, Discord, client)
    { // using audit log stuff
        await common.sleep(3000); // delay to get audit log entry
        await ban.guildBanAddEvent(Discord, client, data);
    }
};
