import { invites } from "./ready.js";

/**
 * @name guildDelete
 * @description Event that fires when the bot is kicked from a guild.
 */
export default {
    name: `guildDelete`,

    /**
     * @param {*} guild A valid guild object.
     */
    async execute(guild)
    {
        invites.delete(guild.id);
    }
};
