<div align="center">
<h1>Discord Bot<br>
<a href="https://github.com/chxseh/discord-bot/actions/workflows/linter.yml"><img alt="GitHub Actions Status" src="https://github.com/chxseh/discord-bot/actions/workflows/linter.yml/badge.svg"></a>
<a href="https://github.com/chxseh/discord-bot/stargazers"><img alt="GitHub stars" src="https://badges.chse.dev:/github/stars/chxseh/discord-bot"></a>
<a href="https://github.com/chxseh/discord-bot/issues"><img alt="GitHub issues" src="https://badges.chse.dev:/github/issues/chxseh/discord-bot"></a>
<a href="https://github.com/chxseh/discord-bot/pulls"><img alt="GitHub Pull Requests" src="https://badges.chse.dev:/github/issues-pr/chxseh/discord-bot"></a>
<a href="https://github.com/chxseh/discord-bot/network"><img alt="GitHub forks" src="https://badges.chse.dev:/github/forks/chxseh/discord-bot"></a>
<a href="https://github.com/chxseh/discord-bot/blob/main/LICENSE.md"><img alt="GitHub license" src="https://badges.chse.dev:/github/license/chxseh/discord-bot"></a>
</h1></div>

# Table of Contents <!-- omit in toc -->
- [Installation](#installation)
  - [Setup](#setup)
  - [Normal Installation](#normal-installation)
    - [Requirements](#requirements)
    - [Installation](#installation-1)
  - [Webfront Setup](#webfront-setup)

## Installation

### Setup
1. Create a new [Discord Application](https://discord.com/developers/applications).
2. Make it a Bot account.
3. Enable `Server Members Intent`, and `Message Content Intent` under Privileged Gateway Intents.
4. Proceed with the [installation](#installation).
5. Setup the [Webfront Configuration](#webfront-configuration)

### Normal Installation

#### Requirements
- [Git](https://git-scm.com/)
- [Node.js](https://nodejs.org/) >= v16.14.0
- [pm2](https://www.npmjs.com/package/pm2) (`npm i -g pm2`)

#### Installation

```bash
git clone https://github.com/chxseh/discord-bot.git
cd bot
npm ci
```
> For the initial setup, use `npm start`. After initial setup is completed you can use `pm2 start npm --name "bot" -- start` to keep the bot running.

### Webfront Setup

For the webfront to work, you must set a OAuth2 Redirect URL in your Discord Application.

The redirect should be `https://yourDomain.com/discord/callback`

![img](https://i.imgur.com/f6KsPBs.png)

<!-- ### For more information, please see [the wiki](https://github.com/chxseh/discord-bot/wiki). --> <!-- omit in toc -->
