import { createRequire } from "node:module";
import { guildlist } from "../../commands/informational/guildlist.js";

const require = createRequire(import.meta.url);
const { botOwnerID } = require(`../../../config.json`);

export default {
    name: `guildlist`,
    aliases: [`gl`],
    async execute(message, ourArguments, Discord, client)
    {
        if (!botOwnerID.includes(message.author.id))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        guildlist(message, false, Discord, client, (ourArguments[0] === `true`));
    }
};
