import { serverinfo } from "../../commands/informational/serverinfo.js";
import common from "../../../utils/common.js";

export default {
    name: `serverinfo`,
    aliases: [`sinfo`, `guildinfo`],
    async execute(message, ourArguments, Discord, client)
    {
        if (!common.canRunCommand(message, `KickMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (ourArguments[0])
            var guild = client.guilds.cache.get(ourArguments[0]);
        else
            var guild = client.guilds.cache.get(message.guild.id);

        serverinfo(message, false, guild, Discord);
    }
};
