import lookup from "../../commands/moderation/lookup.js";
import mentions from "../../../utils/mentions.js";
import common from "../../../utils/common.js";

export default {
    name: `lookup`,
    aliases: [`l`, `info`, `uinfo`, `userinfo`, `history`],
    async execute(message, ourArguments, Discord, client)
    {
        if (!common.canRunCommand(message, `KickMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].mentionUser }`);

        if (ourArguments[1] === `--public`)
            var isPublic = true;
        else
            var isPublic = false;

        var id = ourArguments[0];
        if (id[0] === `<`)
            id = mentions.getUserFromMention(ourArguments[0]);

        return lookup.lookup(Discord, client, id, message.guild.id, isPublic, false, message);
    }
};
