import mentions from "../../../utils/mentions.js";
import { nick } from "../../commands/moderation/nick.js";
import common from "../../../utils/common.js";

export default {
    name: `nick`,
    aliases: [`n`],
    async execute(message, ourArguments, Discord, client)
    {
        if (!common.canRunCommand(message, `ManageNicknames`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[1])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].enterNick }`);

        var id = ourArguments[0];
        if (id[0] === `<`)
            id = mentions.getUserFromMention(ourArguments[0]);

        const newName = ourArguments.slice(1).join(` `);

        nick(message, false, id, newName, message.author.id, Discord, client);
    }
};
