import mentions from "../../../utils/mentions.js";
import { softban } from "../../commands/moderation/softban.js";
import common from "../../../utils/common.js";

export default {
    name: `softban`,
    aliases: [`sb`],
    async execute(message, ourArguments, Discord, client)
    {
        if (!common.canRunCommand(message, `BanMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].mentionUser }`);

        var id = ourArguments[0];
        if (id[0] === `<`)
            id = mentions.getUserFromMention(ourArguments[0]);

        const reason = ourArguments.slice(1).join(` `);
        softban(message, false, id, message.author.id, reason, Discord, client);
    }
};
