import { createRequire } from "node:module";
import common from "../../../utils/common.js";
import embed from "../../commands/utility/embed.js";

const require = createRequire(import.meta.url);
const { botOwnerID } = require(`../../../config.json`);

export default {
    name: `embed`,
    async execute(message, ourArguments, Discord, client)
    {
        if ((!common.canRunCommand(message, `ADMINISTRATOR`)
            && !botOwnerID.includes(message.author.id) && message.author.id !== client.user.id))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            ourArguments[0] = message.channel.id;
        else if (ourArguments[0].startsWith(`<#`))
            ourArguments[0] = ourArguments[0].slice(2, -1);
        embed.embedGenerator(message, false, ourArguments[0], Discord);
    }
};
