import { en } from "../../commands/utility/en.js";
import common from "../../../utils/common.js";

export default {
    name: `en`,
    async execute(message, ourArguments)
    {
        if (!common.canRunCommand(message, `KickMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].translate }`);

        const { DeepLAPIKey } = common.getGuildConfig(message.guild.id);

        if (!DeepLAPIKey)
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].deeplNoKey }`);

        const sourceText = ourArguments.join(` `);
        await en(message, false, sourceText);
    }
};
