import { respond } from "../../commands/utility/manually-respond.js";
import common from "../../../utils/common.js";

export default {
    name: `respond`,
    aliases: [`r`, `trigger`],
    async execute(message, ourArguments, Discord)
    {
        if (!common.canRunCommand(message, `KickMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (ourArguments.length === 0)
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noTrigger }`);

        const trigger = ourArguments.join(` `);
        if (message.type === `REPLY`) // reply w image + caption
            respond(message, false, trigger, message.author.id, message.reference.messageId, Discord);
        else
            respond(message, false, trigger, message.author.id, undefined, Discord);
    }
};
