import mentions from "../../../utils/mentions.js";
import { getAVI } from "../../commands/utility/pfp.js";
import common from "../../../utils/common.js";

export default {
    name: `pfp`,
    aliases: [`avi`, `avatar`],
    async execute(message, ourArguments, Discord, client)
    {
        if (!common.canRunCommand(message, `KickMembers`))
            return message.channel.send(`<@!${ message.author.id }>, ${ global.locale[global.findLocale(message.guild.id)].noPermission }`);

        if (!ourArguments[0])
        { // If no user is mentioned, use the author.
            const self = await client.users.fetch(message.author.id, true);
            return getAVI(message, false, self);
        }

        var id = ourArguments[0];
        if (id[0] === `<`)
            id = mentions.getUserFromMention(ourArguments[0]);

        const member = await client.users.fetch(id, true);
        return getAVI(message, false, member);
    },
};
