import { ApplicationCommandType } from "discord.js";
import lookup from "../../commands/moderation/lookup.js";

export default {
    name: `User Information`,
    defaultMemberPermissions: [`KickMembers`],
    type: ApplicationCommandType.User,

    async execute(interaction, client, Discord)
    {
        await interaction.deferReply({ ephemeral: true });

        return lookup.lookup(Discord, client, interaction.targetId, interaction.guild.id, false, true, interaction);
    }
};
