import { ApplicationCommandOptionType } from "discord.js";
import debug from "../../../chat_commands/utility/debug.js";

export default {
    name: `debug`,
    description: `Treats the executor as a normal user for things like testing auto replies.`,
    type: ApplicationCommandOptionType.Subcommand,

    async callback(interaction)
    {
        // temp table for debugging
        if (!debug.debugUsers.includes(interaction.user.id))
        {
            debug.debugUsers.push(interaction.user.id);
            return interaction.followUp(`<@!${ interaction.user.id }>${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].enabledDebug }`);
        }
        debug.debugUsers.splice(debug.debugUsers.indexOf(interaction.user.id), 1);
        return interaction.followUp(`<@!${ interaction.user.id }>${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].disabledDebug }`);
    }
};
