import { ApplicationCommandOptionType } from "discord.js";
import { remove } from "../../../commands/manipulation/allowed-discords.js";

export default {
    name: `remove`,
    description: `Remove discord invites from the list`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `invite`,
            description: `Which invite to remove from the list (can also be an ID from alloweddiscords list)`,
            type: ApplicationCommandOptionType.String,
            required: true
        }
    ],

    async callback(interaction, client, Discord)
    {
        const invite = interaction.options.getString(`invite`);
        remove(interaction, true, interaction.guild.id, invite, Discord, client);
    }
};
