import { ApplicationCommandOptionType } from "discord.js";
import { remove } from "../../../commands/manipulation/auto-banned-phrases.js";

export default {
    name: `remove`,
    description: `Remove an auto-banned phrase`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `phrase`,
            description: `What phrase are we removing from the list?`,
            type: ApplicationCommandOptionType.String,
            required: true
        }
    ],

    async callback(interaction)
    {
        let phrase = await interaction.options.getString(`phrase`);
        if (phrase)
            phrase = phrase.toLowerCase();

        remove(interaction, true, interaction.guild.id, phrase);
    }
};
