import { ApplicationCommandOptionType } from "discord.js";
import { add } from "../../../commands/manipulation/bad-words.js";

export default {
    name: `add`,
    description: `Add a bad word`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `word`,
            description: `Which bad word to add`,
            type: ApplicationCommandOptionType.String,
            required: true
        }
    ],

    async callback(interaction)
    {
        let newWord = interaction.options.getString(`word`);
        if (newWord)
            newWord = newWord.toLowerCase();

        add(interaction, true, interaction.guild.id, newWord);
    }
};
