import { ApplicationCommandOptionType } from "discord.js";
import { remove } from "../../../commands/manipulation/bad-words.js";

export default {
    name: `remove`,
    description: `Remove a bad word`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `word`,
            description: `Which bad word to remove`,
            type: ApplicationCommandOptionType.String,
            required: true
        }
    ],

    async callback(interaction)
    {
        const newWord = interaction.options.getString(`word`);
        remove(interaction, true, interaction.guild.id, newWord.toLowerCase());
    }
};
