import { ApplicationCommandOptionType } from "discord.js";
import { after } from "../../../commands/moderation/prune.js";

export default {
    name: `after`,
    description: `Clear x amount of messages after a certain Message ID`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `messageid`,
            description: `Which message ID to delete after.`,
            type: ApplicationCommandOptionType.String,
            required: true
        },
        {
            name: `reason`,
            description: `Which reason`,
            type: ApplicationCommandOptionType.String,
            required: false
        },
    ],

    async callback(interaction, client, Discord)
    {
        const reason = interaction.options.getString(`reason`);
        const messageId = interaction.options.getString(`messageid`);
        after(interaction, true, messageId, reason, interaction.user.id, client, Discord);
    }
};
