import { ApplicationCommandOptionType } from "discord.js";
import { amount } from "../../../commands/moderation/prune.js";

export default {
    name: `amount`,
    description: `Clear x amount of messages in this channel`,
    type: ApplicationCommandOptionType.Subcommand,
    options: [
        {
            name: `amount`,
            description: `Amount of messages to be deleted`,
            type: ApplicationCommandOptionType.Integer,
            minValue: 1,
            maxValue: 100,
            required: true
        },
        {
            name: `reason`,
            description: `Which reason`,
            type: ApplicationCommandOptionType.String,
            required: false
        },
    ],

    async callback(interaction, client, Discord)
    {
        const amountInteraction = interaction.options.getInteger(`amount`);
        const reason = interaction.options.getString(`reason`);
        amount(interaction, true, amountInteraction, reason, interaction.user.id, client, Discord);
    }
};
