import { ApplicationCommandOptionType } from "discord.js";
import { softban } from "../../commands/moderation/softban.js";

export default {
    name: `softban`,
    description: `Bans, then unbans user. Think of this as a "super prune + kick"`,
    defaultMemberPermissions: [`BanMembers`],
    options: [
        {
            name: `user`,
            description: `Which user to softban. NOTE: This can also be an ID`,
            type: ApplicationCommandOptionType.User,
            required: true
        },
        {
            name: `reason`,
            description: `Which reason`,
            type: ApplicationCommandOptionType.String,
            required: false
        }
    ],

    async execute(interaction, client, Discord)
    {
        await interaction.deferReply({ ephemeral: true });

        const user = interaction.options.getUser(`user`);
        const reason = interaction.options.getString(`reason`);
        softban(interaction, true, user.id, interaction.user.id, reason, Discord, client);
        interaction.followUp(`${ global.locale[global.findLocale(interaction.guild.id, interaction.locale)].interactionBasicSuccess }`);
    }
};
