<!--
    IF EDITING IN VSCODE: CTRL+SHIFT+P > SAVE WITHOUT FORMATTING
-->

* For commands that require a duration, the value can be either be `1d`, or you can stack them like `1d5h`.
  * Supported Units: `y`, `mo`, `w`, `d`, `h`, `m`, `s`.
  * If you are stacking units, the longer unit(s) should come first.
    * This would work: `1d5h`
    * This wouldn't work: `5h1d`

| Command | Description | Usage |
| ------- | ----------- | ----- |
| alloweddiscords | Add/Remove a discord server to the list of monitored discord servers.<br>(Can either be an allow list or a deny list based on Auto Mod webfront settings.) | `/alloweddiscords` |
| links | Add/Remove a link to the list of monitored links.<br>(Can either be an allow list or a deny list based on Auto Mod webfront settings.) | `/links` |
| autoban | Add/Remove a phrase to automatically ban the user if they type it + any parameters defined in Auto Mod webfront settings. | `/autoban` |
| autoreply | Add/Remove keywords that reply with a defined message. | `/autoreply` |
| badword | Add/Remove Bad Words. | `/badword` |
| ban | Bans a user. | `/ban` |
| banlist | Shows amount of banned users. | `/info banlist` |
| botowner | Undocumented Bot Owner Commands. | `/botowner` |
| clearwarns | Clears a users warns. | `/clearwarns` |
| createforumpost | Creates a forum post. | `/createforumpost` |
| duration | Edit a mute/tempban duration. | `/duration` |
| edit | Edit a message the bot sent. | `/edit` |
| editcase | Edits a case reason. | `/editcase` |
| embed | Create an embed to send to a channel. | `/embed` |
| en | Translate a message to english. | `Right Click Message > Apps > Translate to English` |
| eval | ??? | `cdb!eval` |
| giveaway | Create/Manage a giveaway. | `/giveaway` |
| help | Get help with the bot. | `/help` |
| ignoredm | Add/Remove a user from the list of ignored DMs. (Bot Owner Only) | `/ignoredm` |
| info | Get info on various things. | `/info` |
| invite | Get the invite link for the bot. | `cdb!invite` |
| kick | Kicks a user. | `/kick` |
| lockdown | Lockdown the server. (If no channel is provided, we will lockdown every channel configured in the webfront.) | `/lockdown` |
| lookup | Lookup information about a user. | `/lookup` |
| respond | Manually trigger a bot response. | `/respond` |
| mute | Mutes a user. | `/mute` |
| nick | Change a users nickname. | `/nick` |
| note | Add/Remove a note from a user's lookup. | `/note` |
| pfp | Shows a users profile picture & banner. | `/pfp` |
| prune | Prunes messages based on specific filters. | `/prune` |
| remindme | Reminds you of something. | `/remindme` |
| rolepersist | Ensures a role sticks to a user even if they leave the server and come back. | `/rolepersist` |
| sale | Checks if MW2 is on sale. Requires ITAD API Key in webfront. | `/sale` |
| say | Says something from the bot. | `/say` |
| schedule | Schedule a message to be sent.<br>Time needs to be in epoch time. | `/schedule` |
| selectroles | Creates an interactive menu for self-assigning roles. ![img](https://i.imgur.com/qBB0hEp.png) | `/selectroles` |
| serverstats | Creates a category for server stats. | `/serverstats` |
| slowmode | Sets a slowmode for a channel. | `/slowmode` |
| softban | Kicks a user & prunes the last 7d of their messages. | `/softban` |
| suggest | Sends message into suggestions channel and reacts with thumbs up and down. | `/suggest` |
| ticket | Creates a "Send Ticket" message. Requires setup in webfront. | `/ticket` |
| unban | Unbans a user. | `/unban` |
| unmute | Unmutes a user. | `/unmute` |
| warn | Warns a user. | `/warn` |
