## `config.json` Explained

### Required Configuration
| Key            | Description                                                                                 |
| -------------- | ------------------------------------------------------------------------------------------- |
| token          | Your [Discord Application's Bot Token](https://discord.com/developers/applications).        |
| clientSecret   | Your Discord Bot's Client Secret.                                                           |
| webfrontPort   | What port will the webfront listen on?                                                      |
| webfrontURL    | The full URL (including the port if using `localhost`) for the webfront.                    |
| webfrontAPIKey | Your API Key from [assistantscenter.com](https://assistantscenter.com/licenses/opensource). |

### Optional Configuration
| Key           | Description                                                                                                                     |
| ------------- | ------------------------------------------------------------------------------------------------------------------------------- |
| botOwnerID    | Your ID, used for certain commands.<br>[Where can I find my User ID?](https://support.discord.com/hc/en-us/articles/206346498/) |
| playingStatus | String the bot will use for your Playing Status.                                                                                |
| debugMode     | If true, console will log more information.                                                                                     |
| forwardDMs    | If true, the bot will forward all DMs it gets to the bot owner(s)                                                               |

<!-- ## Webfront Configuration Explained -->
