/**
 * @name error
 * @description Logs discord errors to console.
 */
export default {
    name: `error`,
    async execute(error)
    {
        const d8 = new Date(Date.now());
        console.error(`${ global.locale[global.gLocale].discordError } [${ d8.toDateString() } ${ d8.toTimeString() }]:`, error);
    }
};
