import { invites } from "./ready.js";

/**
 * @name inviteDelete
 * @description Event that fires when an invite is deleted.
 */
export default {
    name: `inviteDelete`,
    /**
     * @param {object} invite The invite object.
     */
    async execute(invite)
    {
        // Delete the Invite from Cache
        invites.get(invite.guild.id).delete(invite.code);
    }
};
