import fs from "node:fs";

let total = 0;
let message = ``;

const commandFolders = fs.readdirSync(`../commands/slash_commands`);
for (const folder of commandFolders)
{
    const commandFiles = fs.readdirSync(`../commands/slash_commands/${ folder }`).filter((file) => file.endsWith(`.js`));
    total += commandFiles.length;
}

if (total <= 50)
    message += `Total Slash Commands: ${ total }/50\nYou have ${ 50 - total } remaining before hitting the limit.`;

if (total > 50)
    message = `You have too many commands! You have ${ total - 50 } command(s) over the limit.`;

// eslint-disable-next-line no-restricted-syntax
console.log(message);
